{% extends 'base.html' %}
{% block title %}
    ListOfCosts
{% endblock %}

{% block content %}
    <table class="table">
    <style>
            table, th, td {border: 1px solid black;}
            th, td {padding: 5px;}
    </style>
    <thead>
    <tr>
        <th style=" width: 20%">CostName</th>
        <th style=" width: 20%">CostDivision</th>
        <th style=" width: 20%">Cost per unit</th>
        <th style=" width: 20%">Quantity</th>
        <th style=" width: 20%">Actions</th>
    </tr>
    </thead>
    <tbody>
    {% for cost in all_costs %}
    <tr>
        <td>{{cost.cost_name}}</td>
        <td>{{cost.cost_division}}</td>
        <td>{{cost.cost_per_unit}}</td>
        <td>{{cost.quantity}}</td>
        <td>
            <a href="{% url 'update_cost' cost.id %}" class="btn btn-primary">Edit</a>
            <a href="{% url 'cost_details' cost.id %}" class="btn btn-primary">Details</a>
            <a href="{% url 'delete_cost' cost.id %}" class="btn btn-danger">Delete</a>
        </td>
    </tr>
    {% endfor %}
    </tbody>
    </table>

    <a href="{% url 'add_cost' %}" class="btn btn-success"> Add a new cost </a>

{% endblock %}